MysqlDataTruncation
Date: 2018-05-01

com.mysql.jdbc

## Class MysqlDataTruncation

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLWarning
        - - java.sql.DataTruncation
          - - com.mysql.jdbc.MysqlDataTruncation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

      public class MysqlDataTruncation
      extends java.sql.DataTruncation

  MySQL wrapper for DataTruncation until the server can support sending all needed information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MysqlDataTruncation(java.lang.String message, int index, boolean parameter, boolean read, int dataSize, int transferSize, int vendorErrorCode)` Creates a new MysqlDataTruncation exception/warning.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()`
    `java.lang.String` | `getMessage()`

    - ### Methods inherited from class java.sql.DataTruncation

      `getDataSize, getIndex, getParameter, getRead, getTransferSize`

    - ### Methods inherited from class java.sql.SQLWarning

      `getNextWarning, setNextWarning`

    - ### Methods inherited from class java.sql.SQLException

      `getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MysqlDataTruncation

          public MysqlDataTruncation(java.lang.String message,
                             int index,
                             boolean parameter,
                             boolean read,
                             int dataSize,
                             int transferSize,
                             int vendorErrorCode)

      Creates a new MysqlDataTruncation exception/warning.
      Parameters:
        `message` - the message from the server
        `index` - of column or parameter
        `parameter` - was a parameter?
        `read` - was truncated on read?
        `dataSize` - size requested
        `transferSize` - size actually used

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      Overrides:
        `getErrorCode` in class `java.sql.SQLException`

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`